public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "罗百科" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/barman/
Date: Wed,  1 Nov 2023 10:43:17 +0000 (UTC)	[thread overview]
Message-ID: <1698835359.15110e66fcd2bd2cde4c70e4f753a9994a1aab8f.patrick@gentoo> (raw)

commit:     15110e66fcd2bd2cde4c70e4f753a9994a1aab8f
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  1 10:42:39 2023 +0000
Commit:     罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Wed Nov  1 10:42:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15110e66

dev-db/barman: add 3.9.0

Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>

 dev-db/barman/Manifest            |  1 +
 dev-db/barman/barman-3.9.0.ebuild | 48 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-db/barman/Manifest b/dev-db/barman/Manifest
index 1295ad7ae1e4..c098f680d79f 100644
--- a/dev-db/barman/Manifest
+++ b/dev-db/barman/Manifest
@@ -1,2 +1,3 @@
 DIST barman-2.19.tar.gz 1423229 BLAKE2B db316bad10774ff5825af7409ecc69cd502fe447dd91efc52c04ae23d8e5c21e682fcde351b23dea437817d6207765a6cba355399aea0c5799b0f34be55ee524 SHA512 042912aac1e02994fbbe270f9bf6f4340b9b7ba5b1fdb5d588bdf95098a970ed398e002d1d56731f9b96c8bd0c7e0b71463ab6c08517ce3c1f2c77d1a92618ff
 DIST barman-3.2.0.tar.gz 1463937 BLAKE2B 9daff4dc1374aef5dfd8eff48438464265189223c7b5e7b39045cdf39362c0d266e437f8ff98aac3c045ab94f09ecc59cd34dd7847b783649cf5e18ab3e85280 SHA512 73b86ce55a034bc1bb4f130ef06f2e05c4a7b5c221b49c9ff1cf2f3693e42a5b30613232e823c5b4a87d201bdc8c3b2137de3b189268354145cc3866526095ab
+DIST barman-3.9.0.tar.gz 1819096 BLAKE2B 712ec047f9409014495afd868a9bbe889b6b2d54a511770a95e9c62513d7042673b7c1ebec31d45729211a1da0e55dfdc5cdc0ef62d84e7efa26b2b9fbff5feb SHA512 e5b4796a470f43e4ea79383defabd31cd4d33d8dfc06495bc4485bd1bc5cfab701c3719567bcc302de3f157e9ef08a6848776daa2cf9c537fb2829b7931111fd

diff --git a/dev-db/barman/barman-3.9.0.ebuild b/dev-db/barman/barman-3.9.0.ebuild
new file mode 100644
index 000000000000..1c3e0f925562
--- /dev/null
+++ b/dev-db/barman/barman-3.9.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{10..11} )
+
+RESTRICT="test" # missing azure sdk
+
+inherit distutils-r1
+
+DESCRIPTION="Administration tool for disaster recovery of PostgreSQL servers"
+HOMEPAGE="https://www.pgbarman.org https://sourceforge.net/projects/pgbarman/"
+SRC_URI="https://github.com/2ndquadrant-it/barman/archive/release/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-release-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/boto3[${PYTHON_USEDEP}]
+	dev-python/argh[${PYTHON_USEDEP}]
+	dev-python/psycopg:2[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/argcomplete[${PYTHON_USEDEP}]
+	net-misc/rsync
+	dev-db/postgresql[server]
+"
+
+BDEPEND="
+	test? (
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+		dev-python/python-snappy[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	default
+
+	sed -i -e \
+		"s/^    def test_xlog_segment_mask(.*:/    @pytest.mark.xfail(reason='Test fails on Gentoo')\n\0/" \
+		tests/test_xlog.py || die
+}


             reply	other threads:[~2023-11-01 10:43 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-01 10:43 罗百科 [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-30 11:30 [gentoo-commits] repo/gentoo:master commit in: dev-db/barman/ Patrick Lauer
2024-08-05  6:44 Patrick Lauer
2024-04-16  9:16 Patrick Lauer
2024-04-16  9:16 Patrick Lauer
2023-01-10 14:37 Michał Górny
2023-01-10 14:37 Michał Górny
2022-12-02  6:56 罗百科
2022-06-18 15:34 罗百科
2022-06-04  7:42 Michał Górny
2021-05-31 20:22 Michał Górny
2021-02-09 14:24 Sam James
2021-02-09  8:23 Sam James
2021-02-09  8:23 Sam James
2021-02-09  8:23 Sam James
2020-01-15  7:20 Michał Górny
2020-01-15  7:20 Michał Górny
2019-12-25 11:33 罗百科
2018-07-07  7:24 Patrick Lauer
2017-09-18 18:50 Patrick Lauer
2017-09-18 18:50 Patrick Lauer
2017-01-30  6:13 Patrick Lauer
2016-05-24  8:24 Patrick Lauer
2016-03-05  9:20 Patrick Lauer
2016-01-08 11:36 Patrick Lauer
2015-12-21 12:58 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1698835359.15110e66fcd2bd2cde4c70e4f753a9994a1aab8f.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox